package com.xhpc.charging.station.mapper;

import com.xhpc.common.domain.XhpcBarrierGate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcBarrierGateMapper {

    List<Map<String, Object>> getBarrierGateList();

    List<Map<String,Object>> getLsit(@Param("barrierGateCompany")String barrierGateCompany, @Param("chargingStationNumber")String chargingStationNumber);


    void  insertBarrierGate(XhpcBarrierGate xhpcBarrierGate);

    void updateBarrierGate(XhpcBarrierGate xhpcBarrierGate);

    void deleteBarrierGateById(@Param("barrierGateId")Long barrierGateId);

    Map<String,Object> getXhpcBarrierGateById(@Param("barrierGateId")Long barrierGateId);

    List<Long> getBarrierGateEndTime(@Param("date")String date);

    void updateBarrierGateStatus(@Param("barrierGateId")Long barrierGateId);

}
